org.apache.olingo.odata2.api.rt

## Class RuntimeDelegate

- java.lang.Object
- - org.apache.olingo.odata2.api.rt.RuntimeDelegate

-     public abstract class RuntimeDelegate
      extends Object

  Provides access to core implementation classes for interfaces. This class is used by internal abstract API implementations and it is not intended to be used by others.
  Do not implement this interface or derive from class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RuntimeDelegate.RuntimeDelegateInstance` An implementation is available in the core library.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeDelegate()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BatchChangeSet.BatchChangeSetBuilder` | `createBatchChangeSetBuilder()`
    `static BatchChangeSetPart.BatchChangeSetPartBuilder` | `createBatchChangeSetPartBuilder()`
    `static BatchQueryPart.BatchQueryPartBuilder` | `createBatchQueryPartBuilder()`
    `static BatchResponsePart.BatchResponsePartBuilder` | `createBatchResponsePartBuilder()`
    `static Edm` | `createEdm(EdmProvider provider)` Creates and returns an entity data model.
    `static EdmProvider` | `createEdmProvider(InputStream metadataXml, boolean validate)` Creates and returns an edm provider.
    `static EntityProvider.EntityProviderInterface` | `createEntityProvider()` Creates and returns a http entity provider.
    `static ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` | `createExpandSelectTreeNodeBuilder()`
    `static ODataRequest.ODataRequestBuilder` | `createODataRequestBuilder()`
    `static ODataResponse.ODataResponseBuilder` | `createODataResponseBuilder()` Returns a builder for creating response objects with variable parameter sets.
    `static ODataService` | `createODataSingleProcessorService(EdmProvider provider, ODataSingleProcessor processor)` Creates and returns a single processor service.
    `static String` | `extractExceptionMessage(ODataMessageException exception)` Extract message of `ODataMessageException` and return it as a string.
    `static EdmSimpleType` | `getEdmSimpleType(EdmSimpleTypeKind edmSimpleTypeKind)` Returns a simple type object for given type kind.
    `static EdmSimpleTypeFacade` | `getSimpleTypeFacade()` Returns an implementation of the EDM simple-type facade.
    `static UriParser` | `getUriParser(Edm edm)` Returns an parser which can parse OData uris based on metadata.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeDelegate

          public RuntimeDelegate()

  - ### Method Detail

    - #### getEdmSimpleType

          public static EdmSimpleType getEdmSimpleType(EdmSimpleTypeKind edmSimpleTypeKind)

      Returns a simple type object for given type kind.
      Parameters:
        `edmSimpleTypeKind` - type kind
      Returns:
        an implementation object

    - #### getSimpleTypeFacade

          public static EdmSimpleTypeFacade getSimpleTypeFacade()

      Returns an implementation of the EDM simple-type facade.
      Returns:
        an implementation object

    - #### createODataResponseBuilder

          public static ODataResponse.ODataResponseBuilder createODataResponseBuilder()

      Returns a builder for creating response objects with variable parameter sets.
      Returns:
        an implementation object

    - #### createEdm

          public static Edm createEdm(EdmProvider provider)

      Creates and returns an entity data model.
      Parameters:
        `provider` - a provider implemented by the OData service
      Returns:
        an implementation object

    - #### getUriParser

          public static UriParser getUriParser(Edm edm)

      Returns an parser which can parse OData uris based on metadata.
      Parameters:
        `edm` - metadata of the implemented service
      Returns:
        an implementation object

    - #### createEntityProvider

          public static EntityProvider.EntityProviderInterface createEntityProvider()

      Creates and returns a http entity provider.
      Returns:
        an implementation object

    - #### createODataSingleProcessorService

          public static ODataService createODataSingleProcessorService(EdmProvider provider,
                                                                       ODataSingleProcessor processor)

      Creates and returns a single processor service.
      Parameters:
        `provider` - a provider implementation for the metadata of the OData service
        `processor` - a single data processor implementation of the OData service
      Returns:
        a implementation object

    - #### createEdmProvider

          public static EdmProvider createEdmProvider(InputStream metadataXml,
                                                      boolean validate)
                                               throws EntityProviderException

      Creates and returns an edm provider.
      Parameters:
        `metadataXml` - a metadata xml input stream (means the metadata document)
        `validate` - true if semantic checks for metadata input stream shall be done
      Returns:
        an instance of EdmProvider
      Throws:
        `EntityProviderException`

    - #### createBatchResponsePartBuilder

          public static BatchResponsePart.BatchResponsePartBuilder createBatchResponsePartBuilder()

    - #### createODataRequestBuilder

          public static ODataRequest.ODataRequestBuilder createODataRequestBuilder()

    - #### createBatchChangeSetBuilder

          public static BatchChangeSet.BatchChangeSetBuilder createBatchChangeSetBuilder()

    - #### createBatchQueryPartBuilder

          public static BatchQueryPart.BatchQueryPartBuilder createBatchQueryPartBuilder()

    - #### createBatchChangeSetPartBuilder

          public static BatchChangeSetPart.BatchChangeSetPartBuilder createBatchChangeSetPartBuilder()

    - #### createExpandSelectTreeNodeBuilder

          public static ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder createExpandSelectTreeNodeBuilder()

    - #### extractExceptionMessage

          public static String extractExceptionMessage(ODataMessageException exception)

      Extract message of `ODataMessageException` and return it as a string.
      Parameters:
        `exception` - which contains the message references.
      Returns:
        the message of the `ODataMessageException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.